odf.teletype Namespace Reference

## Classes

class | WhitespaceText

## Functions

def | addTextToElement (odfElement, s)
def | extractText (odfElement)
| Extract text content from an Element, with whitespace represented properly. More...

## Function Documentation

def odf.teletype.addTextToElement | ( |  | odfElement,
|  |  | s
| ) |  |

Definition at line 107 of file teletype.py.

def odf.teletype.extractText | ( |  | odfElement | ) |

Extract text content from an Element, with whitespace represented properly.

Returns the text, with tabs, spaces, and newlines correctly evaluated. This method recursively descends through the children of the given element, accumulating text and "unwrapping" <text:s>, <text:tab>, and <text:line-break> elements along the way.

Definition at line 118 of file teletype.py.